import java.io.*;

public class Film 
{
	String titolo;
	String anno;
	String casa;
	
	
	public Film(String tito,String an,String ca) 
	{

		titolo = tito;
		anno = an;
		casa = ca;
		try
		{
			int a=Integer.parseInt(anno);
		}
		catch (NumberFormatException nfe)
		{
			System.out.println("Formato anno non valido");
			System.exit(0);
		}
		
	}

	public String toString()
	{
		return new String("\nTitolo: " + titolo + "; \nAnno: " + anno + "; \nCasa: " + casa +  "\n\n");
	}

	public int hashCode()
	{
		return titolo.hashCode();
	} 

	public boolean equals(Object o)
	{
		Film og = (Film)o;
		return titolo.equals(og.titolo);
	}

	public int compareTo(Object o)
	{
		Film f=null;
		try
		{
			f = (Film)o;  		
		}
		catch (ClassCastException cce)
		{
			System.out.println("Forse non era un film....");
		}
		return f.titolo.compareTo(titolo);	
	}


}