import java.util.*;
import javax.microedition.midlet.*;
import java.io.*;
import javax.microedition.lcdui.Display.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.MIDlet;
import javax.microedition.rms.*;

public class MyMidlet extends MIDlet implements CommandListener
{
	private Form form=null;
   	private Command uscita,leggi,indietro,avanti;
    private Display display;
   	private List menu;
    private TextBox tb;
    protected Hashtable ht_titolo,ht_casa,ht_anno;
    private String selection; 
    private boolean firsttime=true;
    
public MyMidlet()
    {
    	display 	= 	Display.getDisplay(this);
   		uscita		= 	new Command("ESCI",Command.EXIT,1);
		ht_titolo 	= 	new Hashtable();
		ht_anno 	= 	new Hashtable();
		ht_casa 	= 	new Hashtable();
		
	}
public void startApp()
	{
		
		(new DataPacket()).initdata(ht_titolo,ht_anno,ht_casa);
		mainMenu();
	
	
	}
public void commandAction(Command c,Displayable d)
	{
	  	  if (c == uscita )
	  	 {
            
            destroyApp(false);
            notifyDestroyed();
         }	
	  	 
	  	 else if (c == indietro)
	  	 {
	  	 	mainMenu();
	  	 	
	  	 }
	  	 else if (c == avanti )
		 {
		 	 lettura(selection); 
		 }		  	 
	  	 else 
	  	 {
         	List down = (List)display.getCurrent();
         	switch(down.getSelectedIndex()) 
         	{
           	case 0: nome();break;
           	case 1: anno();break;
           	case 2: casa();break;
         	case 3: elenco(); break;
         	case 4: showAlert("MyMidlet 0.1","",7000,"/icons/MyMidlet2.png"); break;
         	
         	}
	  	 
	     }
	}
public void destroyApp(boolean unconditional)
	{}
public void pauseApp()
	{}
public void mainMenu()
{
	 Image ima=null;
	  try 
	  {
	  ima = Image.createImage("/icons/Button.png");
 	  }
 	  catch (IOException ioe ) {}
 	  menu = new List(
      "MyMidlet 0.1:", Choice.IMPLICIT);
      menu.append("Ricerca per nome", ima);
      menu.append("Ricerca per anno", ima);
      menu.append("Ricerca per casa", ima);
      menu.append("Elenco completo",ima);
      menu.append("About ", ima);
      menu.addCommand(uscita);
      menu.setCommandListener(this);
      display.setCurrent(menu);
       if (firsttime == true)
	  {
	   showAlert("MyMidlet 0.1","",7000,"/icons/MyMidlet2.png");
	 
	  }
 	  firsttime = false;
      
 }
public void nome()
{
	tb = new TextBox("Immetti titolo del film", "", 30, TextField.ANY);
	indietro = new Command("INDIETRO",Command.BACK,1);
	avanti = new Command("AVANTI",Command.SCREEN,1);
	tb.addCommand(avanti);
	tb.addCommand(indietro);
	tb.setCommandListener(this);
	display.setCurrent(tb);
	selection="TITOLO";
	
}
public void anno()
{
	tb = new TextBox("Immetti anno del film", "", 30, TextField.ANY);
	indietro = new Command("INDIETRO",Command.BACK,1);
	avanti = new Command("AVANTI",Command.SCREEN,1);
	tb.addCommand(avanti);
	tb.addCommand(indietro);
	tb.setCommandListener(this);
	display.setCurrent(tb);
	selection="ANNO";	
	
}
public void casa()
{
	tb = new TextBox("Immetti casa di produzione ", "", 30, TextField.ANY);
	indietro = new Command("INDIETRO",Command.BACK,1);
	avanti = new Command("AVANTI",Command.SCREEN,1);
	tb.addCommand(avanti);
	tb.addCommand(indietro);
	tb.setCommandListener(this);
	display.setCurrent(tb);
	selection="CASA";
}

public void elenco()
{
	indietro = new Command("INDIETRO",Command.BACK,1);
	form = new Form("Elenco completo");
	form.append(ht_anno.toString());
	form.addCommand(indietro);
	form.setCommandListener(this);
	display.setCurrent(form);

}

public void lettura(String hash) 

{
	form	= 	new Form("Risultati ricerca:");
	form.addCommand(uscita);
    form.setCommandListener(this);
	String str=tb.getString();
	if (hash.equals("TITOLO"))
	{
	Film f1=null;
	if (ht_titolo.containsKey(str))
		f1=(Film)ht_titolo.get(str);
	else 
		{
		/*form.append("Record assente");
		form.addCommand(indietro);
		form.setCommandListener(this);
		display.setCurrent(form);*/
		 showAlert("Risultati ricerca","RECORD ASSENTE!",5000,"/icons/alert.png");
		}
	String tmp=f1.toString();
	form.append(tmp);
	form.addCommand(indietro);
	form.setCommandListener(this);
	display.setCurrent(form);
	}
	else if (hash.equals("ANNO"))
	{
	Vector v1=null;
	if (ht_anno.containsKey(str))
		v1=(Vector)ht_anno.get(str);
	else 
		{
			showAlert("Risultati ricerca","RECORD ASSENTE!",5000,"/icons/alert.png");	
		}
	String tmp=seeVector(v1);
	form.append(tmp);
	form.addCommand(indietro);
	form.setCommandListener(this);
	display.setCurrent(form);
	
	}
	else if (hash.equals("CASA"))
	{
	Vector v1=null;
	if (ht_casa.containsKey(str))
		 v1=(Vector)ht_casa.get(str);
	else 
		{
			showAlert("Risultati ricerca","RECORD ASSENTE!",5000,"/icons/alert.png");
		}
	String tmp=seeVector(v1);
	form.append(tmp);
	form.addCommand(indietro);
	form.setCommandListener(this);
	display.setCurrent(form);
	
	}
	


}
public String seeVector(Vector v)
{
	String retval="";
	int leng=v.size();
	leng--;
	while(leng>=0)
	{
	Film f=(Film)v.elementAt(leng);
	retval=retval.concat(f.toString());
	leng--;
	}
return retval;

}
public void showAlert(String title, String text, int delay,String im) 
	{
        Alert currentAlert = new Alert(title);
        currentAlert.setTimeout(delay);
        currentAlert.setString(text);
       	currentAlert.setType(AlertType.INFO);
       	Image image=null;
   		try 
   		{
	      image = Image.createImage(im);
		} 
	    catch (java.io.IOException x) {System.out.println("DOH !!!");}
    	currentAlert.setImage(image); 
    	(Display.getDisplay(this)).setCurrent(currentAlert);
    
    }

}